{
  pkgs ? import <nixpkgs> {}
}:
pkgs.buildGoModule rec {
  pname = "nomad-driver-exec2";
  version = "0.1.0";

  src = pkgs.fetchFromGitHub {
    owner = "Alexis211";
    repo = "nomad-driver-exec2";
    rev = "14bd8f2010c3a1f90c6d1297f47ebbf46ee87dde";
    sha256 = "sha256-k75VEi2+9mS9v3bx/ygumy0niQP7bLWIgB0Zwhuky+k=";
  };

  vendorSha256 = "sha256-EQdTxVOBRYQjg7kAB+pFJYcNwk0zlsjjJxM+EO/cK84=";

  ldflags = [
    "-X github.com/Alexis211/nomad-driver-exec2/exec2.pluginVersion=${version}"
  ];

  postInstall = ''
    mv $out/bin/nomad-driver-exec2 $out/bin/exec2-driver
  '';

  meta = with pkgs.lib; {
    description = "Nomad exec driver with support for bind mouns";
    homepage = "https://github.com/Alexis211/nomad-driver-exec2";
    license = licenses.mpl20;
    platforms = platforms.linux;
  };
}
